#ifndef Globals_h
#define Globals_h

#include "SegmentDisplay.h"
#include "SegmentDisplayConfig.h"
#include "Button.h"
#include "StateHandler.h"

extern SegmentDisplay* display;
extern Button* buttonA;
extern Button* buttonB;
extern Button* buttonArmed;

extern uint32_t shots;
extern uint32_t hits;

extern unsigned long currentTime;
extern AbstractStateHandler* currentState;

void setCurrentState(AbstractStateHandler* value);
void update();
void sleep();

#endif